Installing products through gem on ubuntu

I’m trying to install mongrel and sqlite3 through the gem command on
ubuntu. I’m have in the same problem with both. If I try to do sudo
gem
install sqlite3, it says GemNotFoundException. If I run the same
command
without sudo, I don’t have permission to some directory:

[email protected]:~/downloads/rubygems-0.9.0$ sudo gem install
sqlite3-ruby
ERROR: While executing gem … (Gem::GemNotFoundException)
Could not find sqlite3-ruby (> 0) in the repository
[email protected]:~/downloads/rubygems-0.9.0$ gem install
sqlite3-ruby
Select which gem to install for your platform (i486-linux)

  1. sqlite3-ruby 1.1.0 (mswin32)
  2. sqlite3-ruby 1.1.0 (ruby)
  3. Cancel installation

2
ERROR: While executing gem … (Errno::EACCES)
Permission denied -
/usr/lib/ruby/gems/1.8/cache/sqlite3-ruby-1.1.0.g

Same thing with mongrel:

[email protected]:~/downloads/rubygems-0.9.0$ sudo gem install
mongrel
ERROR: While executing gem … (Gem::GemNotFoundException)
Could not find mongrel (> 0) in the repository
[email protected]:~/downloads/rubygems-0.9.0$ gem install mongrel
Select which gem to install for your platform (i486-linux)

  1. mongrel 0.3.13.2 (ruby)
  2. mongrel 0.3.13.2 (mswin32)
  3. Cancel installation

1
Install required dependency gem_plugin? [Yn] Y
ERROR: While executing gem … (Errno::EACCES)
Permission denied -
/usr/lib/ruby/gems/1.8/cache/gem_plugin-0.2.1.gem

What can I do to fix this?

On Thu, 2006-06-29 at 21:19 -0400, Paul B. wrote:

I’m trying to install mongrel and sqlite3 through the gem command on
ubuntu. I’m have in the same problem with both. If I try to do sudo
gem install sqlite3, it says GemNotFoundException. If I run the same
command without sudo, I don’t have permission to some directory:

Weird, do you have some kind of .gemrc or something that’s got the wrong
permissions? Maybe your environment has something in it that causes
problems. Check your env command (in your shell).

Otherwise, looks like a gem problem. Try hitting the pre-release site
with:

gem install mongrel --source=http://mongrel.rubyforge.org/releases


Zed A. Shaw


http://mongrel.rubyforge.org/
http://www.railsmachine.com/ – Need Mongrel support?

deleting your source_cache will fix this:

rm /usr/lib/ruby/gems/1.8/source_cache

Sebastian

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs